> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all credential structures

> This endpoint returns a basic structure of what data must be inputted when adding a credential manually. This should be used when creating a credential using the POST credential endpoint.

This endpoint returns the structure of every supported block on Alloy Embedded. It returns a boolean flag called `isOauth` which indicates if the credential uses OAuth or an API key.



## OpenAPI

````yaml get /metadata/credentials
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /metadata/credentials:
    get:
      summary: Retrieve all credential structures
      description: >-
        This endpoint returns a basic structure of what data must be inputted
        when adding a credential manually. This should be used when creating a
        credential using the POST credential endpoint.


        This endpoint returns the structure of every supported block on Alloy
        Embedded. It returns a boolean flag called `isOauth` which indicates if
        the credential uses OAuth or an API key.
      operationId: get-credential-metadata
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - connector: acuityScheduling
                        icon: https://cdn.runalloy.com/icons/acuityScheduling.png
                        isOauth: false
                        properties:
                          - name: apiKey
                            displayName: API Key
                          - name: userId
                            displayName: User Id
                      - connector: amazonBusiness
                        icon: https://cdn.runalloy.com/icons/amazonBusiness.png
                        isOauth: true
                        properties:
                          - name: regionCountry
                            displayName: Country
                            description: ''
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        connector:
                          type: string
                          example: acuityScheduling
                        icon:
                          type: string
                          example: https://cdn.runalloy.com/icons/acuityScheduling.png
                        isOauth:
                          type: boolean
                          example: false
                          default: true
                        properties:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: apiKey
                              displayName:
                                type: string
                                example: API Key
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````